Javascript Scroller Scroller for Javascript

You are looking at v3 demos, switch to Mobiscroll 4?

Scroller for Javascript

light
dark

Change the theme setting here

Scroller - Price Range

Change demo
Price Range
Custom Javascript scroller with two wheels for picking a price-range featuring range validation for correct selections. Plain JS api for usage everywhere.

Scroller - Custom Units

Change demo
Custom Units
var instance,
    units = ['oz', 'g', 'serving'],
    prevUnit = 'oz',
    wheel = [
        [{
            circular: false,
            data: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25]
        }, {
            circular: false,
            data: ['-', '1/4', '1/2', '3/4']
        }, {
            circular: false,
            data: units
        }]
    ];

instance = mobiscroll.scroller('#demo', {
    theme: ' ',
    themeVariant: ' ',
    lang: ' ',
    wheels: wheel,
    validate: function (event, inst) {
        var i,
            mult = 1,
            index = event.index,
            currUnit = event.values[2],
            disabled = [];

        if (currUnit == 'g' && (prevUnit == 'oz' || prevUnit == 'serving')) {
            mult = 28;
        } else if ((currUnit != 'oz' || currUnit != 'serving') && prevUnit == 'g') {
            mult = 1 / 28;
        }

        if (currUnit != 'serving') {
            disabled.push('1/4', '1/2', '3/4');
        }

        if (index == 2 && currUnit != prevUnit) {
            for (i = 0; i < wheel[0][0].data.length; ++i) {
                wheel[0][0].data[i] = Math.round(wheel[0][0].data[i] * mult);
            }

            inst.settings.wheels = wheel;
            inst._tempWheelArray[0] = inst._tempWheelArray[0] * mult;
            inst.changeWheel({
                0: wheel[0][0]
            });

            prevUnit = currUnit;
        }

        return {
            disabled: [
                [], disabled, []
            ]
        }
    },
    parseValue: function (val) {
        var hasUnit;

        if (val) {
            val = val.toString().split(' ');
            hasUnit = units.indexOf(val[1]) !== -1;
            return [val[0], (hasUnit ? '' : val[1].replace('-', '')), (hasUnit ? val[1] : val[2])];
        }

        return [0, '-', 'oz'];
    },
    formatValue: function (data) {
        return (data[2] == 'serving' && data[0] == 0 && data[1] ? '' : data[0]) + (data[1] ? ' ' + data[1].replace('-', '') : '') + ' ' + data[2];
    }
});
<input id="demo" placeholder="Please Select ..." />

Scroller - Date range

Change demo
Date range
Custom Javascript scroller with two wheels for picking a date-range featuring start/end validation for correct selections. Plain JS api for usage everywhere.

Scroller - Event handlers

Change demo
Event handlers
Javascript Scroller component with event hooks for custom integration and functionality. With source code. Plain JS api for usage everywhere.
Clear event log
EVENTS FIRED: 

Scroller - Display modes

Change demo
Display modes
Custom Javascript mobile scroller with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. Plain JS api for usage everywhere.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

Angular and Ionic Scroller Scroller for Angular and Ionic Framework

You are looking at v3 demos, switch to Mobiscroll 4?

Scroller for Angular and Ionic Framework

light
dark

Change the theme setting here

Scroller - Price Range

Change demo
Price Range
Custom Angular scroller with two wheels for picking a price-range featuring range validation for correct selections. For Angular 22 and Ionic 8.

Scroller - Custom Units

Change demo
Custom Units
let units = ['oz', 'g', 'serving'],
    prevUnit = 'oz',
    wheel = [
        [{
            circular: false,
            data: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25]
        }, {
            circular: false,
            data: ['-', '1/4', '1/2', '3/4']
        }, {
            circular: false,
            data: units
        }]
    ];

@Component({
    selector: 'demo-app',
    templateUrl: './app.component.html'
})
export class AppComponent {
    scrollerOptions: any = {
        theme: ' ',
        themeVariant: ' ',
        lang: ' ',
        wheels: wheel,
        validate: function (event, inst) {
            var i,
                mult = 1,
                index = event.index,
                currUnit = event.values[2],
                disabled = [];

            if (currUnit == 'g' && (prevUnit == 'oz' || prevUnit == 'serving')) {
                mult = 28;
            } else if ((currUnit != 'oz' || currUnit != 'serving') && prevUnit == 'g') {
                mult = 1 / 28;
            }

            if (currUnit != 'serving') {
                disabled.push('1/4', '1/2', '3/4');
            }

            if (index == 2 && currUnit != prevUnit) {
                for (i = 0; i < wheel[0][0].data.length; ++i) {
                    wheel[0][0].data[i] = Math.round(wheel[0][0].data[i] * mult);
                }

                inst.settings.wheels = wheel;
                inst._tempWheelArray[0] = inst._tempWheelArray[0] * mult;
                inst.changeWheel({
                    0: wheel[0][0]
                });

                prevUnit = currUnit;
            }

            return {
                disabled: [
                    [], disabled, []
                ]
            }
        },
        parseValue: function (val) {
            var hasUnit;
            console.log(val);
            if (val) {
                val = val.toString().split(' ');
                hasUnit = units.indexOf(val[1]) !== -1;
                return [val[0], (hasUnit ? '' : val[1].replace('-', '')), (hasUnit ? val[1] : val[2])];
            }

            return [0, '-', 'oz'];
        },
        formatValue: function (data) {
            return (data[2] == 'serving' && data[0] == 0 && data[1] ? '' : data[0]) + (data[1] ? ' ' + data[1].replace('-', '') : '') + ' ' + data[2];
        }
    }
}
<input [(ngModel)]="price" mbsc-scroller [mbsc-options]="scrollerOptions" placeholder="Please Select..." />
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Scroller - Date range

Change demo
Date range
Custom Angular scroller with two wheels for picking a date-range featuring start/end validation for correct selections. For Angular 22 and Ionic 8.

Scroller - Event handlers

Change demo
Event handlers
Angular Scroller component with event hooks for custom integration and functionality. With source code. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 

Scroller - Display modes

Change demo
Display modes
Custom Angular mobile scroller with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For Angular 22 and Ionic 8.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

React Scroller Scroller for React

You are looking at v3 demos, switch to Mobiscroll 4?

Scroller for React

light
dark

Change the theme setting here

Scroller - Price Range

Change demo
Price Range
Custom React scroller with two wheels for picking a price-range featuring range validation for correct selections. For React and Next.JS.

Scroller - Custom Units

Change demo
Custom Units
var ScrollerDemo = React.createClass({
    render: function() {
        var units = ['oz', 'g', 'serving'],
            prevUnit = 'oz',
            wheel = [
                [{
                    circular: false,
                    data: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25]
                }, {
                    circular: false,
                    data: ['-', '1/4', '1/2', '3/4']
                }, {
                    circular: false,
                    data: units
                }]
            ];

        return (
            <div>
                <mobiscroll.Scroller
                    ref="scroller"
                    theme=" " 
                    themeVariant=" "
                    lang=" "
                    wheels={wheel}
                    validate={function (event, inst) {
                        var i,
                            mult = 1,
                            index = event.index,
                            currUnit = event.values[2],
                            disabled = [];

                        if (currUnit == 'g' && (prevUnit == 'oz' || prevUnit == 'serving')) {
                            mult = 28;
                        } else if ((currUnit != 'oz' || currUnit != 'serving') && prevUnit == 'g') {
                            mult = 1 / 28;
                        }

                        if (currUnit != 'serving') {
                            disabled.push('1/4', '1/2', '3/4');
                        }

                        if (index == 2 && currUnit != prevUnit) {
                            for (i = 0; i < wheel[0][0].data.length; ++i) {
                                wheel[0][0].data[i] = Math.round(wheel[0][0].data[i] * mult);
                            }

                            inst.settings.wheels = wheel;
                            inst._tempWheelArray[0] = inst._tempWheelArray[0] * mult;
                            inst.changeWheel({
                                0: wheel[0][0]
                            });

                            prevUnit = currUnit;
                        }

                        return {
                            disabled: [
                                [], disabled, []
                            ]
                        }
                    }}
                    parseValue={function (val) {
                        var hasUnit;
                        console.log(val);
                        if (val) {
                            val = val.toString().split(' ');
                            hasUnit = units.indexOf(val[1]) !== -1;
                            return [val[0], (hasUnit ? '' : val[1].replace('-', '')), (hasUnit ? val[1] : val[2])];
                        }

                        return [0, '-', 'oz'];
                    }}
                    formatValue={function (data) {
                        return (data[2] == 'serving' && data[0] == 0 && data[1] ? '' : data[0]) + (data[1] ? ' ' + data[1].replace('-', '') : '') + ' ' + data[2];
                    }}
                    placeholder="Please Select..."
                />
            </div>
            
        );
    }    
});

<div id="content">

Scroller - Date range

Change demo
Date range
Custom React scroller with two wheels for picking a date-range featuring start/end validation for correct selections. For React and Next.JS.

Scroller - Event handlers

Change demo
Event handlers
React Scroller component with event hooks for custom integration and functionality. With source code. For React and Next.JS.
Clear event log
EVENTS FIRED: 

Scroller - Display modes

Change demo
Display modes
Custom React mobile scroller with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For React and Next.JS.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos